### File

`packages/ecl/components/ecl-select/ecl-select.directive.ts`

### Description

Directive that enhances a native

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `DoCheck` `AfterContentInit` `OnDestroy`

### Metadata

Selector | `select[eclSelect]`

### Index

###### Methods
getCssClasses
###### Inputs
disabled eclSize isInvalid toggleLabel class e2eAttr tabindex
###### HostBindings
attr.disabled class class.ecl-select--invalid
###### Accessors
cssClasses isDisabled isInvalidState

### Inputs

disabled
Type : `boolean`
Default value : `false`
Disables the select element.

eclSize
Type : `"s" | "m" | "l"`
Default value : `'m'`
Size of the select component.

isInvalid
Type : `boolean`
Default value : `false`
Marks the select element as invalid.

toggleLabel
Type : `string`
Accessible label for the toggle button.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.disabled
Type : `boolean`

class
Type : `string`

class.ecl-select--invalid
Type : `boolean`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

isDisabled
get `isDisabled()`

isInvalidState
get `isInvalidState()`

# results matching ""

# No results matching ""